% GNMbode.m
% Kap. 9.8.3
% Erzeugung von Bodediagrammen von GNM_lsg_bode.mdl

% Aus der vom Block Time-Based Linearization geschriebenen
% Struktur GNM_lsg_bode_Timed_Based_Linearization werden die
% Matrizen der Zustandsdarstellung zwecks Namensverkrzung extrahiert
% u1 = UA, u2 = MW, y1 = N
A=GNM_lsg_bode_Timed_Based_Linearization.a;
B=GNM_lsg_bode_Timed_Based_Linearization.b;
C=GNM_lsg_bode_Timed_Based_Linearization.c;
D=GNM_lsg_bode_Timed_Based_Linearization.d;

% HINWEIS: A,B,C,D knnen natrlich auch mittels
%[A,B,C,D] = linmod('GNM_lsg_bode');
% erzeugt werden. 
% Dieser Befehl darf jedoch nicht in GNMbode.m erfolgen, da
% GNMbode.m als Model Callback-Routine 'StopFcn' mit
% GNM_lsg_bode.mdl verknpft ist (memory allocation error mit
% mglicher segmentation violation)! 

% LTI-Objekt mit u1 und y1:
% (an sich kann das Bodediagramm direkt mit 
% bode(A,B(:,1),C,D(:,1)) bzw.
% bode(A,B(:,2),C,D(:,2))
% erzeugt werden;
% sollen jedoch zustzlich auch Frequenz-Grenzen, z.B. {1,10000} 
% bergeben werden funktioniert bode nur mit einem LTI-Objekt statt
% Matrizen).
sysUA_N = ss(A,B(:,1),C,D(:,1));
% LTI-Objekt mit u2 und y1:
sysMW_N = ss(A,B(:,2),C,D(:,2));

figure(1)
bode(sysUA_N,{1,10000});
grid on
figure(2)
bode(sysMW_N,{1,10000});
grid on
